/**
 * RECUPERAR O MAPPER DA GLB_USU_GRP
 */
var mapper =  mapperFactory.createMapper('GlbUsuGrp');
var mapperControleDeAcesso =  mapperFactory.createMapper('ControleDeAcesso');

/**
 * Vincula usuarios contidos no list ao grupo de acesso.
 */
var vincularUsuario = function(){
	var list = message.get("inserir");
	if(list && list.size()>0){
	    mapper.insert("incluirGlbUsuGrpEmMassa", message);
	    mapper.commit();
	}
};

/**
 * Desvincula usuarios contidos no list ao grupo de acesso.
 */
var desvincularUsuario = function(){
	var list = message.get("remover");
	if(list && list.size()>0){
	    mapper.update("excluirGlbUsuGrpEmMassa", message);
	    mapper.commit();
	}
};

var getUsuarioVinculado = function(){
    return mapperControleDeAcesso.selectList("listarUsuarioDoControleDeAcesso", message);
};

try{
	
desvincularUsuario();
vincularUsuario();
var listaUsuarioVinculados = getUsuarioVinculado();
listaUsuarioVinculados;

}catch(err){
	mapper.rollback();
	throw " Ocorreu um erro: " + err;
}